package cn.com.qmth.examcloud.core.oe.student.client;

import cn.com.qmth.examcloud.core.oe.student.api.request.*;
import cn.com.qmth.examcloud.core.oe.student.api.response.*;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.api.ExamRecordDataCloudService;

@Service("examRecordDataCloudService")
public class ExamRecordDataCloudServiceClient extends AbstractCloudClientSupport
		implements
		ExamRecordDataCloudService {

    /**
     * 
     */
    private static final long serialVersionUID = 3745318048361113898L;

    @Override
    public GetExamRecordDataIdsResp getExamRecordDataIds(GetExamRecordDataIdsReq req) {
        return post("examRecordData/getExamRecordDataIds", req, GetExamRecordDataIdsResp.class);
    }

    @Override
    public UpdateExamRecordDataBatchNumResp updateExamRecordDataBatchNum(UpdateExamRecordDataBatchNumReq req) {
        return post("examRecordData/updateBatchNum", req, UpdateExamRecordDataBatchNumResp.class);
    }

    /**
     * 计算活体检测结果
     *
     * @param req
     * @return
     */
    @Override
    public CalcFaceBiopsyResultResp calcFaceBiopsyResult(CalcFaceBiopsyResultReq req) {
        return post("examRecordData/calcFaceBiopsyResult", req, CalcFaceBiopsyResultResp.class);
    }

    /**
     * 计算考试分数
     *
     * @param req
     * @return
     */
    @Override
    public CalcExamScoreResp calcExamScore(CalcExamScoreReq req) {
        return post("examRecordData/calcExamScore", req, CalcExamScoreResp.class);
    }

    /**
     * 获取旧活体检测结果
     *
     * @param req
     * @return
     */
    @Override
    public GetExamFaceLivenessVerifiesResp getExamFaceLivenessVerifies(GetExamFaceLivenessVerifiesReq req) {
        return post("examRecordData/getExamFaceLivenessVerifies", req, GetExamFaceLivenessVerifiesResp.class);
    }

    /**
     * 获取新活检
     *
     * @param req
     * @return
     */
    @Override
    public GetFaceBiopsyResp getFaceBiopsy(GetFaceBiopsyReq req) {
        return post("examRecordData/getFaceBiopsy", req, GetFaceBiopsyResp.class);
    }

    @Override
    public GetExamRecordQuestionsResp getExamRecordQuestions(GetExamRecordQuestionsReq req) {
        return post("examRecordData/getExamRecordQuestions", req, GetExamRecordQuestionsResp.class);
    }

    @Override
    public GetExamRecordPaperStructResp getExamRecordPaperStruct(GetExamRecordPaperStructReq req) {
        return post("examRecordData/getExamRecordPaperStruct", req, GetExamRecordPaperStructResp.class);
    }


}
